Name:           tiemu
Version:        3.03
Release:        3%{?dist}
Summary:        TI-89 Emulator

Group:          Applications/Communications
License:        GPLv2+
URL:            http://lpg.ticalc.org/prj_tiemu/

Source0:        http://www.ticalc.org/pub/unix/tiemu.tar.gz
Patch0:         https://tc01.fedorapeople.org/tiemu/tiemu-gtk-deprecations.patch
Patch1:         https://tc01.fedorapeople.org/tiemu/tiemu-fpic-68k.patch

BuildRequires:  glib2-devel, pkgconfig, bison, flex, texinfo, groff, xdg-utils, libtool, gettext
BuildRequires:  gtk2-devel, libglade2-devel, SDL-devel, autoconf, automake, zlib-devel, libusb1
BuildRequires:  libticalcs2-devel, libtifiles2-devel, dbus-glib-devel

%description
TiEmu is a full-featured TI89 /Titanium/92/92+/V200 multi-platform emulator.

%prep
%autosetup -p1
rm po/fr.gmo

%build
%configure --without-kde --disable-rpath --disable-gdb --with-xinerama --with-dbus
make -C po fr.gmo
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
#install -D -m 644 desktop/kde/tiemu.desktop %{buildroot}%{_datadir}/applications/tiemu.desktop
#desktop-file-validate %{buildroot}%{_datadir}/applications/tiemu.desktop
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/tiemu
%{_mandir}/man1/tiemu.1.gz
%{_datadir}/tiemu/
#%{_datadir}/applications/tiemu.desktop

%doc README README.linux README.win32 RELEASE NEWS AUTHORS ABOUT-NLS
%license COPYING

%changelog
* Tue Dec 29 2015 'Ben Rosser' <rosser.bjr@gmail.com> 3.03-3
- Added fPIC to makefile when building build68k_host allowing building on F23+.

* Tue Dec 29 2015 'Ben Rosser' <rosser.bjr@gmail.com> 3.03-2
- Added missing dependency on dbus-glib-devel.

* Mon Aug 17 2015 'Ben Rosser' <rosser.bjr@gmail.com> 3.03-1
- First build of package, without embedded gdb.
- Added patch that removes GTK deprecation warnings.
